Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False), DeferredDeletion(False)> _
Public Class DBCColumns
    Inherits BaseObject

    Private _DBCTables As DBCTables
    Private _ColumnName As String
    Private _ColumnType As String
    Private _ColumnLength As String

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    Property DBCTables As DBCTables
        Get
            Return _DBCTables
        End Get
        Set(value As DBCTables)
            SetPropertyValue("DBCTables", _DBCTables, value)
        End Set
    End Property
    <Size(255)> _
    Property ColumnName As String
        Get
            Return _ColumnName
        End Get
        Set(value As String)
            SetPropertyValue("ColumnName", _ColumnName, value)
        End Set
    End Property
    <Size(255)> _
    Property ColumnType As String
        Get
            Return _ColumnType
        End Get
        Set(value As String)
            SetPropertyValue("ColumnType", _ColumnType, value)
        End Set
    End Property
    Property ColumnLength As String
        Get
            Return _ColumnLength
        End Get
        Set(value As String)
            SetPropertyValue("ColumnLength", _ColumnLength, value)
        End Set
    End Property
End Class
